### Signal

# Ide Buffer::cursor-moved

#### Declaration

    void
    cursor_moved (
      IdeBuffer* self,
      const GtkTextIter* location,
      gpointer user_data
    )

#### Description

This signal is emitted when the insertion location has moved. You might want to attach to this signal to update the location of the insert mark in the display.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`location` | `GtkTextIter`
| A `GtkTextIter`.
| The data is owned by the caller of the function.